function love.load() 

	medium = love.graphics.newFont(45)  
    hamster = love.graphics.newImage("Images/hamster.png")   
	hamsterX = 300 -- Changed the images' draw coordinates, so its more centered
	hamsterY = 300 -- Changed the name of variables, so there won't be any troubles later :P
	destX = 300                                                                               
	destY = 300 
	speed = 100    						
	hamsterSelected = false -- Is the image selected?
end  

function love.mousepressed(x,y,button)                                               
	
	if button == 'l' then 		-- If the left mouse button was pressed
		if CheckCollision(x, y, 1, 1, hamsterX - 64, hamsterY - 64, 128, 128) then -- If mouse was pressed on the image
			hamsterSelected = true  -- Select the image
		else -- If the mouse wasn't pressed on the image
			hamsterSelected = false -- Deselect it
		end
	elseif button == 'r' and hamsterSelected == true then -- If the right mouse button was pressed (move order) and the image is selected, move!
		destX, destY = x, y
	end
   
   
end

function love.update(dt)
     
    if hamsterX ~= destX then                                                                      
		hamsterX = hamsterX + (dt*speed)*((destX-hamsterX)/math.abs(destX-hamsterX))
	end
   
    if hamsterY ~= destY then
		hamsterY = hamsterY + (dt*speed)*((destY-hamsterY)/math.abs(destY-hamsterY))
    end
   
end


function love.draw() 

	love.graphics.draw(hamster, hamsterX, hamsterY, 0, 1, 1, 64, 64)   

	 -- Following is a shorter version of: 
	 -- if hamsterSelected == true then
	 
	if hamsterSelected then -- If the image is selected
		love.graphics.print("Selected!", 10, 10) -- Print a little text for confirmation
	end
	
    -- (If you wanted to check if something is false, just do: if not blabla then)
end

-- Collision detection function.
-- Checks if a and b overlap.
-- w and h mean width and height.
-- https://love2d.org/wiki/BoundingBox.lua
function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end